<?php
/**
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2018 vi-solutions
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;

class VisformsPlaceholderEntryCreated_by extends VisformsPlaceholderEntry {

    protected static $customParams = array(
        'NAME' => 'COM_VISFORMS_PLACEHOLDER_PARAM_USER_NAME',
    );

    public function getReplaceValue() {
        if (isset($this->rawData) && ($this->rawData === '')) {
            return '';
        }
        $customParams = self::$customParams;
        if (!empty($this->param) && array_key_exists($this->param, $customParams)) {
            switch ($this->param) {
                case 'NAME' :
                    // user id 0
                    if (empty($this->rawData)) {
                        return '';
                    }
                    return $this->getUserName();
                default:
                    return $this->rawData;
            }
        }
        return $this->rawData;
    }

    protected function getUserName() {
       $user = Factory::getUser((int) $this->rawData);
       if (!empty($user)) {
           return $user->name;
       }
       return '';
    }
}