<?php
/**
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2017 vi-solutions
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Visolutions\Component\Visforms\Site\Hcaptcha\Hcaptcha;

if (!empty($displayData)) :
	if (isset($displayData['form'])) :
        $captcha = New Hcaptcha();
	    if ($captcha->isEnabled()) :
            $input = $captcha->render();
            $form = $displayData['form'];
            $html = array();
            $name = 'h-captcha-response';
            $errorDivClass = 'fc-tbx' . $name . '_field';
            if (isset($form->captcha)) {
                $ctrlGroupBtClasses = $form->ctrlGroupBtClasses;
                $indentedBtClasses = $form->indentedBtClasses;
                $captchaLabelClasses = $form->captchaLabelClasses . ' align-self-center';
                $captchalabel = (!empty($form->captchalabel)) ? $form->captchalabel : Text::_('COM_VISFORMS_CAPTCHA_LABEL');
                $html[] = '<div class="form-group row required">';
                $html[] = '<label class="' . $captchaLabelClasses . '" id="captcha-lbl" for="' . $name . '">' . $captchalabel . '</label>';
                $html[] = '<div class="' . $ctrlGroupBtClasses . '">';
                if (!empty($form->captchacustominfo)) {
                    $html[] = '<div class="visToolTip" title="' . htmlspecialchars($form->captchacustominfo, ENT_COMPAT, 'UTF-8') . '" data-bs-toogle>';
                }
                $html[] = $input;
                if (!empty($form->captchacustominfo)) {
                    $html[] = '</div>';
                }
                $html[] = '</div>';
                $html[] = '</div>';
                //Create a div with the right class where we can put the validation errors into
                $html[] = '<div class="row">';
                $html[] = '<div class="' . $indentedBtClasses . '">';
                $html[] = '<div class="' . $errorDivClass . '"></div>';
                $html[] = '</div>';
                $html[] = '</div>';
            }
            if (!empty($form->captchacustominfo)) {
                HTMLHelper::_('visforms.visformsTooltip');
            }
            echo implode('', $html);
        endif;
	endif;
endif;