<?php
/**
 * Visforms captcha html for default layout
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Visolutions\Component\Visforms\Site\Hcaptcha\Hcaptcha;

if (!empty($displayData)) :
	if (isset($displayData['form'])) :
		$captcha = New Hcaptcha();
		if ($captcha->isEnabled()) :
			$input = $captcha->render();
			$form = $displayData['form'];
			$name = 'h-captcha-response';
			$errorDivClass = 'fc-tbx' . $name . '_field';
			$html = array();
			if (isset($form->captcha)) {
				$tooltip = (!empty($form->captchacustominfo)) ? ' title="'. htmlspecialchars($form->captchacustominfo, ENT_COMPAT, 'UTF-8') .'" data-bs-toogle' : '';
				$captchalabel = (isset($form->captchalabel)) ? $form->captchalabel : "Captcha";
				$html[] = '<div class="captchaCont required">';
				// Create a div with the right class where we can put the validation errors into
				$html[] = '<div class="' . $errorDivClass . '"></div>';
				// showcaptchalabel == 0: show label!
				$html[] = (!(isset($form->showcaptchalabel)) || ($form->showcaptchalabel == 0)) ? '<label class ="visCSSlabel" id="captcha-lbl" for="recaptcha_response_field">' . $captchalabel . '</label>' : '<label class ="asterix-ancor visCSSlabel"></label>';
				$html[] = $input;
				if (!empty($form->captchacustominfo)) {
					HTMLHelper::_('visforms.visformsTooltip');
				}
				$html[] = '</div>';
			}
			echo implode('', $html);
		endif;
	endif;
endif;

        