<?php
/**
 * Visforms HTML class for email field
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once(__DIR__ . '/text.php');

/**
 * Create HTML of a email field according to it's type
 *
 * @package		Joomla.Site
 * @subpackage	com_visforms
 * @since		1.6
 */
class VisformsHtmlTel extends VisformsHtmlText
{
      /**
     * 
     * Constructor
     * 
     * @param object $field field object as extracted from database
     */
    public function __construct($field, $decorable, $attribute_type) {
        $attribute_type = "tel";
        parent::__construct($field, $decorable, $attribute_type);
    }

    public function setFieldCustomValidateArray($field) {
        if (!isset($field->validateArray)) {
            $field->validateArray = array();
        }
        // custom validation for phone field
        if (!empty($field->phonevalidation)) {
            $field->validateArray['phonevalidation'] = "{phonevalidation:'" . $field->phonevalidation . "'}";
        }
        return $field;
    }

}